﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Microsoft.SharePoint.Administration;

namespace SecurityEventManagement
{
    class SecurityEventReceiverServiceInstance : SPWindowsServiceInstance
    {
        public const string serviceInstanceName = "SecurityEventReceiverServiceInstance";

        public SecurityEventReceiverServiceInstance()
        {
        }

        public SecurityEventReceiverServiceInstance(SPWindowsService spWinService)
            : this(SPServer.Local, spWinService)
        {
        }

        public SecurityEventReceiverServiceInstance(SPServer spServer, SPWindowsService spWinService)
            : this(serviceInstanceName, spServer, spWinService)
        {
        }

        public SecurityEventReceiverServiceInstance(string siName, SPServer spServer, SPWindowsService spWinService)
            : base(siName, spServer, spWinService)
        {
        }
    }
}
