﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Microsoft.SharePoint.Administration;

namespace SecurityEventManagement
{
    class SecurityEventHandlerService : SPWindowsService
    {
        public const string ntServiceName = "SecurityEventHandler";

        public SecurityEventHandlerService()
        {
        }

        public SecurityEventHandlerService(SPFarm spFarm)
            : base(ntServiceName, spFarm)
        {
            base.ProcessIdentity.CurrentIdentityType = IdentityType.LocalSystem;
            base.ProcessIdentity.IsCredentialDeploymentEnabled = false;
            base.ProcessIdentity.IsCredentialUpdateEnabled = false;
        }
    }
}
