﻿<%@ Page Language="C#" MasterPageFile="~/_admin/admin.master" Inherits="ManageSecurityAuditSettings.ManageSecurityAuditSettings,ManageSecurityAuditSettings,Version=1.0.0.0,Culture=neutral,PublicKeyToken=696c7a6340c569c9" %>

<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls"
    Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" 
    Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="wssawc" Namespace="Microsoft.SharePoint.WebControls" 
    Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>

<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" Src="/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" Src="/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ButtonSection" Src="/_controltemplates/ButtonSection.ascx" %>

<asp:Content contentplaceholderid="PlaceHolderAdditionalPageHead" runat="server">
    <script type="text/javascript" language="javascript">
    </script>
</asp:Content>

<asp:Content ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
    <SharePoint:EncodedLiteral runat="server" ID="pageHeader" Text="Security Audit Configuration" EncodeMethod='HtmlEncode' />
</asp:Content>
<asp:Content ContentPlaceHolderID="PlaceHolderPageTitleInTitlearea" runat="server">
    <SharePoint:EncodedLiteral runat="server" ID="pageTitle" Text="Security Audit: Security Event Receiver Settings"
        EncodeMethod='HtmlEncode' />
</asp:Content>
<asp:Content ContentPlaceHolderID="PlaceHolderPageDescription" runat="server">
    <SharePoint:EncodedLiteral runat="server" Text="Use this page to configure the Security Event Receiver service of the Security Audit sample solution." EncodeMethod='HtmlEncodeAllowSimpleTextFormatting' />
</asp:Content>
<asp:Content ContentPlaceHolderID="PlaceHolderMain" runat="server">
    <div id="SslWarning" style="color: red; display: none">
        <SharePoint:EncodedLiteral runat="server" Text="<%$Resources:wss,SSL_warning%>" EncodeMethod="HtmlEncode" /></div>

    <script type="text/javascript" language="javascript"> if (document.location.protocol != 'https:') { var SslWarning = document.getElementById('SslWarning'); SslWarning.style.display = ''; } </script>

    <table width="100%" class="propertysheet" cellspacing="0" cellpadding="0" border="0">
        <tr>
            <td class="ms-descriptionText">
                <asp:Label ID="LabelMessage" runat="server" EnableViewState="False" CssClass="ms-descriptionText" />
            </td>
        </tr>
        <tr>
            <td class="ms-error">
                <asp:Label ID="LabelErrorMessage" runat="server" EnableViewState="False" /></td>
        </tr>
        <tr>
            <td>
                <img src="/_layouts/images/blank.gif" width="10" height="4" alt="" /></td>
        </tr>
        <tr>
            <td class="ms-descriptionText">
                <asp:ValidationSummary ID="ValSummary" HeaderText="There are missing or incorrect parameters on this page:"
                    DisplayMode="BulletList" ShowSummary="True" runat="server"></asp:ValidationSummary>
            </td>
        </tr>
        <tr>
            <td>
                <img src="/_layouts/images/blank.gif" width="10" height="1" alt="" /></td>
        </tr>
    </table>

    <span id="ErrorMsg" style="color: red;">
        <SharePoint:EncodedLiteral Visible="false" ID="ErrorMessage" runat="server" EncodeMethod='HtmlEncodeAllowSimpleTextFormatting' />
    </span>

    <table border="0" cellspacing="0" cellpadding="0" width="100%">
        <SharePoint:FormDigest runat="server" />
        
        <wssuc:InputFormSection ID="SiteURLSection" runat="server" Title="Target Site" Collapsible="false" Collapsed="false">
            <template_description>
                <SharePoint:EncodedLiteral runat="server" text="Specify&nbsp;the&nbsp;URL&nbsp;of&nbsp;the&nbsp;target&nbsp;site&nbsp;that&nbsp;contains the&nbsp;Security&nbsp;Audit&nbsp;list." EncodeMethod='HtmlEncodeAllowSimpleTextFormatting'/>
                <br><br>
                <SharePoint:EncodedLiteral runat="server" text="Your account must be a member of the target site to complete the configuration successfully." EncodeMethod='HtmlEncodeAllowSimpleTextFormatting'/>
            </template_description>
            <Template_InputFormControls>
				<wssuc:InputFormControl runat="server" LabelText="Site URL:">
					<Template_control>
						<wssawc:InputFormTextBox Title="Specify the target site URL." class="ms-input" 
						ID="txtSiteURL" Columns="32" Runat="server" size=27 Enabled="true" AutoPostBack="false" />
                        <wssawc:InputFormRequiredFieldValidator id="reqvalSiteURL"
                            runat="server" Enabled="true" ControlToValidate="txtSiteURL"
                            ErrorMessage="You must specify the URL of an existing target site." />
					</Template_control>
				</wssuc:InputFormControl>
            </Template_InputFormControls>
        </wssuc:InputFormSection>

        
        <wssuc:InputFormSection ID="ListNameSection" runat="server" Title="Target List" Collapsible="false" Collapsed="false">
            <template_description>
                <SharePoint:EncodedLiteral runat="server" text="Specify the name of the Security Audit list. This list must already exist in the specified target site." EncodeMethod='HtmlEncodeAllowSimpleTextFormatting'/>
            </template_description>
            <Template_InputFormControls>
				<wssuc:InputFormControl runat="server" LabelText="List Name:">
					<Template_control>
						<wssawc:InputFormTextBox Title="Specify the target list name." class="ms-input" 
						ID="txtListName" Columns="32" Runat="server" size=27 Enabled="true" AutoPostBack="false" />
                        <wssawc:InputFormRequiredFieldValidator id="reqvalListName"
                            runat="server" Enabled="true" ControlToValidate="txtListName"
                            ErrorMessage="You must specify the name of a Security Audit list." />
					</Template_control>
				</wssuc:InputFormControl>
            </Template_InputFormControls>
        </wssuc:InputFormSection>

         <wssuc:InputFormSection runat="server" Title="Event Filter" Collapsible="false">
            <template_description>
                <SharePoint:EncodedLiteral runat="server" text="Select&nbsp;an&nbsp;event&nbsp;filter&nbsp;criterion&nbsp;for&nbsp;the&nbsp;Security&nbsp;Audit&nbsp;solution." EncodeMethod='HtmlEncodeAllowSimpleTextFormatting'/>
                <br><br>
                <SharePoint:EncodedLiteral runat="server" text="You can configure the solution to track failure entries, success entries, or both. The default is to track failure entries only." EncodeMethod='HtmlEncodeAllowSimpleTextFormatting'/>
            </template_description>
            <Template_InputFormControls><br>
				<wssuc:InputFormControl runat="server" LabelText="Audit Mode:">
					<Template_control>
	                   <asp:DropDownList id="ddwnEventFilter" runat="server" Enabled="true" AutoPostBack="false" >
                            <asp:ListItem Value="FailureAudit" Text="Failure Audit" />
                            <asp:ListItem Value="SuccessAudit" Text="Success Audit" />
                            <asp:ListItem Value="FailureAudit|SuccessAudit" Text="Failure and Success Audit" />
                       </asp:DropDownList>
					</Template_control>
				</wssuc:InputFormControl>
            </Template_InputFormControls>
        </wssuc:InputFormSection>
       
        <wssuc:ButtonSection runat="server">
            <Template_Buttons>
                <asp:Button runat="server" class="ms-ButtonHeightWidth" OnClick="BtnSubmit_Click" Text="<%$Resources:wss,multipages_okbutton_text%>" id="BtnSubmit" accesskey="<%$Resources:wss,okbutton_accesskey%>"/>
            </Template_Buttons>
        </wssuc:ButtonSection>
              
        <asp:CustomValidator runat="server" ID="pageValidator" EnableClientScript="false" Display="None" OnServerValidate="ValidateOnSubmit" />
    </table>
</asp:Content>