﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Microsoft.SharePoint.Administration;

namespace SecurityEventManagement
{
    class SecurityEventHandlerServiceInstance : SPWindowsServiceInstance
    {
        public const string serviceInstanceName = "SecurityEventHandlerServiceInstance";

        public SecurityEventHandlerServiceInstance()
        {
        }

        public SecurityEventHandlerServiceInstance(SPWindowsService spWinService)
            : this(SPServer.Local, spWinService)
        {
        }

        public SecurityEventHandlerServiceInstance(SPServer spServer, SPWindowsService spWinService)
            : this(serviceInstanceName, spServer, spWinService)
        {
        }

        public SecurityEventHandlerServiceInstance(string siName, SPServer spServer, SPWindowsService spWinService)
            : base(siName, spServer, spWinService)
        {
        }

        public override bool SystemService
        {
            get
            {
                return true;
            }
        }
    }
}
